<?php

/**
 * Zend_Validaterのエラーメッセージ。
 */
return array(
    // Zend_Validate_Alnum
	Zend_Validate_Alnum::INVALID => "不正な形式です。文字列、整数もしくは小数が期待されています",
	Zend_Validate_Alnum::NOT_ALNUM => "'%value%' にアルファベットと数字以外の文字が含まれています",
	Zend_Validate_Alnum::STRING_EMPTY => "'%value%' は空の文字列です",

    // Zend_Validate_Alpha
    Zend_Validate_Alpha::INVALID => "不正な形式です。文字列が期待されています",
	Zend_Validate_Alpha::NOT_ALPHA => "'%value%' にアルファベット以外の文字が含まれています",
	Zend_Validate_Alpha::STRING_EMPTY => "'%value%' は空の文字列です",

    // Zend_Validate_Barcode
    Zend_Validate_Barcode::FAILED => "'%value%' はチェックサムが一致していません",
	Zend_Validate_Barcode::INVALID => "'%value%' は不正な文字を含んでいます",
	Zend_Validate_Barcode::INVALID_LENGTH => "'%value%' は %length% 文字である必要があります",
	Zend_Validate_Barcode::INVALID_CHARS => "不正な形式です。文字列が期待されています",

    // Zend_Validate_Between
    Zend_Validate_Between::NOT_BETWEEN => "'%value%' は '%min%' 以上 '%max%' 以下ではありません",
	Zend_Validate_Between::NOT_BETWEEN_STRICT => "'%value%' は '%min%' 以下か '%max%' 以上です",

    // Zend_Validate_Callback
    Zend_Validate_Callback::INVALID_VALUE => "'%value%' は正しくありません",
	Zend_Validate_Callback::INVALID_CALLBACK => "コールバック内で例外が発生しました",

    // Zend_Validate_Ccnum
    Zend_Validate_Ccnum::LENGTH => "'%value%' は 13 桁から 19 桁の数字でなければなりません",
	Zend_Validate_Ccnum::CHECKSUM => "'%value%' でルーンアルゴリズム(mod-10 チェックサム)に失敗しました",

    // Zend_Validate_CreditCard
    Zend_Validate_CreditCard::CHECKSUM => "'%value%' は不正なチェックサムを含んでいるようです",
	Zend_Validate_CreditCard::CONTENT => "'%value%' は数値だけで構成される必要があります",
	Zend_Validate_CreditCard::INVALID => "不正な形式です。文字列が期待されています",
    Zend_Validate_CreditCard::LENGTH => "'%value%' は不正な桁数です",
    Zend_Validate_CreditCard::PREFIX => "'%value%' は認可機関から許可されていません",
    Zend_Validate_CreditCard::SERVICE => "'%value%' は不正なクレジットカード番号を含んでいるようです",
    Zend_Validate_CreditCard::SERVICEFAILURE => "'%value%' を検証中に例外が発生しました",

    // Zend_Validate_Date
	Zend_Validate_Date::INVALID => "不正な形式です。値は文字列、整数、配列もしくは Zend_Date 形式である必要があります",
	Zend_Validate_Date::INVALID_DATE => "'%value%' は正しい日付ではないようです",
	Zend_Validate_Date::FALSEFORMAT => "'%value%' は '%format%' フォーマットに一致していません",

    // Zend_Validate_Db_Abstract
	Zend_Validate_Db_Abstract::ERROR_NO_RECORD_FOUND => "'%value%' に一致するレコードは見つかりませんでした",
	Zend_Validate_Db_Abstract::ERROR_RECORD_FOUND => " '%value%' に一致するレコードが見つかりました",

    // Zend_Validate_Digits
	Zend_Validate_Digits::INVALID => "不正な形式です。文字列、整数または小数が期待されています",
    Zend_Validate_Digits::NOT_DIGITS => "'%value%' は数字のみである必要があります",
	Zend_Validate_Digits::STRING_EMPTY => "'%value%' は空の文字列です",

    // Zend_Validate_EmailAddress
    Zend_Validate_EmailAddress::INVALID => "不正な形式です。文字列が期待されています",
    Zend_Validate_EmailAddress::INVALID_FORMAT => "'%value%' はメールアドレスの基本的な形式 local-part@hostname ではありません",
    Zend_Validate_EmailAddress::INVALID_HOSTNAME => "メールアドレス '%value%' 内の '%hostname%' は有効なホスト名ではありません",
    Zend_Validate_EmailAddress::INVALID_MX_RECORD => "メールアドレス '%value%' 内の '%hostname%' は有効な MX レコードではないようです",
	Zend_Validate_EmailAddress::INVALID_SEGMENT => "'%hostname%' はネットワークセグメントにありません。メールアドレス '%value%' はパブリックなネットワークから名前解決できませんでした",
    Zend_Validate_EmailAddress::DOT_ATOM => "'%localPart%' はドットアトム形式ではありません",
    Zend_Validate_EmailAddress::QUOTED_STRING => "'%localPart%' は引用文字列形式ではありません",
    Zend_Validate_EmailAddress::INVALID_LOCAL_PART => "メールアドレス '%value%' 内の '%localPart%' は有効なローカルパートではありません",
    Zend_Validate_EmailAddress::LENGTH_EXCEEDED => "'%value%' は許された長さを超えています",

    // Zend_Validate_File_Count
    Zend_Validate_File_Count::TOO_MANY => "ファイル数が多すぎます。最大'%max%'個まで許されていますが、 '%count%'個指定されています。",
    Zend_Validate_File_Count::TOO_FEW => "ファイル数が少なすぎます。最小 '%min%' 以上の必要がありますが、 '%count%' 個指定されていません",

    // Zend_Validate_File_Crc32
	Zend_Validate_File_Crc32::DOES_NOT_MATCH => "ファイル '%value%' は crc32 ハッシュ値と一致しませんでした",
	Zend_Validate_File_Crc32::NOT_DETECTED => "ファイルに crc32 ハッシュ値が見つかりませんでした",
	Zend_Validate_File_Crc32::NOT_FOUND => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_ExcludeExtension
	Zend_Validate_File_ExcludeExtension::FALSE_EXTENSION => "ファイル '%value%' は誤った拡張子です",
	Zend_Validate_File_ExcludeExtension::NOT_FOUND => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_ExcludeMimeType
	Zend_Validate_File_ExcludeMimeType::FALSE_TYPE => "ファイル '%value%' は誤った mimetype '%type%' です",
    Zend_Validate_File_ExcludeMimeType::NOT_DETECTED => "ファイル '%value%' の mimetype が見つかりませんでした",
    Zend_Validate_File_ExcludeMimeType::NOT_READABLE => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_Exists
	Zend_Validate_File_Exists::DOES_NOT_EXIST => "ファイル '%value%' は存在しません",

    // Zend_Validate_File_Extension
	Zend_Validate_File_Extension::FALSE_EXTENSION => "ファイル '%value%' は誤った拡張子です",
	Zend_Validate_File_Extension::NOT_FOUND => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_FilesSize
	Zend_Validate_File_FilesSize::TOO_BIG => "全てのファイルの合計は最大 '%max%' より小さい必要があります。しかしファイルサイズは '%size%' でした",
	Zend_Validate_File_FilesSize::TOO_SMALL => "全てのファイルの合計は最小 '%min%' より大きい必要があります。しかしファイルサイズは '%size%' でした",
	Zend_Validate_File_FilesSize::NOT_READABLE => "ファイルを読み込めませんでした",

    // Zend_Validate_File_Hash
	Zend_Validate_File_Hash::DOES_NOT_MATCH => "ファイル '%value%' は設定されたハッシュ値と一致しませんでした",
	Zend_Validate_File_Hash::NOT_DETECTED => "渡されたファイルのハッシュ値を評価できませんでした",
	Zend_Validate_File_Hash::NOT_FOUND => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_ImageSize
	Zend_Validate_File_ImageSize::WIDTH_TOO_BIG => "画像 '%value%' の横幅は '%width%' でした。横幅は最大 '%maxwidth%' まで許されています",
    Zend_Validate_File_ImageSize::WIDTH_TOO_SMALL => "画像 '%value%' の横幅は '%width%' でした。横幅は最小 '%minwidth%' 以上である必要があります",
    Zend_Validate_File_ImageSize::HEIGHT_TOO_BIG => "画像 '%value%' の高さは '%height%' でした。高さは最大 '%maxheight%' まで許されています",
    Zend_Validate_File_ImageSize::HEIGHT_TOO_SMALL => "画像 '%value%' の高さは '%height%' でした。高さは最小 '%minheight%' 以上である必要があります",
    Zend_Validate_File_ImageSize::NOT_DETECTED => "画像 '%value%' の大きさを取得できませんでした",
    Zend_Validate_File_ImageSize::NOT_READABLE => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_IsCompressed
	Zend_Validate_File_IsCompressed::NOT_DETECTED => " '%type%' が見つかりました。ファイル '%value%' は圧縮されていません",
	Zend_Validate_File_IsCompressed::FALSE_TYPE => "ファイル '%value%' の Mimetype は見つかりませんでした",
	Zend_Validate_File_IsCompressed::NOT_READABLE => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_IsImage
	Zend_Validate_File_IsImage::NOT_DETECTED => "ファイル '%value%' は画像ではありません。 '%type%' です",
	Zend_Validate_File_IsImage::FALSE_TYPE => "ファイル '%value%' の Mimetype は見つかりませんでした",
    Zend_Validate_File_IsImage::NOT_READABLE => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_Md5
	Zend_Validate_File_Md5::DOES_NOT_MATCH => "ファイル '%value%' は md5 ハッシュ値と一致していません",
	Zend_Validate_File_Md5::NOT_DETECTED => "渡されたファイルの md5 ハッシュ値を評価できませんでした",
	Zend_Validate_File_Md5::NOT_FOUND => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_MimeType
	Zend_Validate_File_MimeType::FALSE_TYPE => "ファイル '%value%' は誤った MimeType '%type%' です",
	Zend_Validate_File_MimeType::NOT_DETECTED => "ファイル '%value%' の Mimetype は見つかりませんでした",
	Zend_Validate_File_MimeType::NOT_READABLE => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_NotExists
	Zend_Validate_File_NotExists::DOES_EXIST => "ファイル '%value%' は存在しています",

    // Zend_Validate_File_Sha1
	Zend_Validate_File_Sha1::DOES_NOT_MATCH => "ファイル '%value%' は sha1 ハッシュ値と一致していません",
	Zend_Validate_File_Sha1::NOT_DETECTED => "渡されたファイルの sha1 ハッシュ値を評価できませんでした",
	Zend_Validate_File_Sha1::NOT_FOUND => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_Size
	Zend_Validate_File_Size::TOO_BIG => "ファイルサイズは '%size%' です。ファイル '%value%' のサイズは最大 '%max%' まで許されています",
	Zend_Validate_File_Size::TOO_SMALL => "ファイルサイズは '%size%' です。ファイル '%value%' のサイズは最小 '%min%' 以上必要です",
	Zend_Validate_File_Size::NOT_FOUND => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_File_Upload
	Zend_Validate_File_Upload::INI_SIZE => "ファイル '%value%' は ini で定義されたサイズを超えています",
	Zend_Validate_File_Upload::FORM_SIZE => "ファイル '%value%' はフォームで定義されたサイズを超えています",
	Zend_Validate_File_Upload::PARTIAL => "ファイル '%value%' は一部のみしかアップロードされていません",
	Zend_Validate_File_Upload::NO_FILE => "ファイル '%value%' はアップロードされませんでした",
	Zend_Validate_File_Upload::NO_TMP_DIR => "ファイル '%value%' をアップロードする一時ディレクトリが見つかりませんでした",
	Zend_Validate_File_Upload::CANT_WRITE => "ファイル '%value%' は書き込めませんでした",
	Zend_Validate_File_Upload::EXTENSION => "ファイル '%value%' をアップロード中に拡張モジュールがエラーを応答しました",
	Zend_Validate_File_Upload::ATTACK => "ファイル '%value%' は不正なアップロードでした。攻撃の可能性があります",
	Zend_Validate_File_Upload::FILE_NOT_FOUND => "ファイル '%value%' は見つかりませんでした",
	Zend_Validate_File_Upload::UNKNOWN => "ファイル '%value%' をアップロード中に未知のエラーが発生しました",

    // Zend_Validate_File_WordCount
	Zend_Validate_File_WordCount::TOO_MUCH => "単語数 '%count%' が多過ぎます。最大で '%max%' 個が許されます",
	Zend_Validate_File_WordCount::TOO_LESS => "単語数 '%count%' が少な過ぎます。少なくとも '%min%' 個必要です",
	Zend_Validate_File_WordCount::NOT_FOUND => "ファイル '%value%' は読み込めないかもしくは存在しません",

    // Zend_Validate_Float
	Zend_Validate_Float::INVALID => "不正な形式です。文字列、整数もしくは小数が期待されています",
	Zend_Validate_Float::NOT_FLOAT => " '%value%' は小数ではないようです",

    // Zend_Validate_GreaterThan
	Zend_Validate_GreaterThan::NOT_GREATER => " '%value%' は '%min%' より大きくありません",

    // Zend_Validate_Hex
	Zend_Validate_Hex::INVALID => "不正な形式です。文字列が期待されています",
	Zend_Validate_Hex::NOT_HEX => " '%value%' は 16 進文字列以外を含んでいます",

    // Zend_Validate_Hostname
	Zend_Validate_Hostname::INVALID => "不正な形式です。文字列が期待されています",
	Zend_Validate_Hostname::IP_ADDRESS_NOT_ALLOWED => "'%value%' は IP アドレスのようですが、 IP アドレスは許されていません",
	Zend_Validate_Hostname::UNKNOWN_TLD => "'%value%' は DNS ホスト名のようですが、 TLD が一覧に見つかりません",
    Zend_Validate_Hostname::INVALID_DASH => "'%value%' は DNS ホスト名のようですが不正な位置にダッシュがあります",
	Zend_Validate_Hostname::INVALID_HOSTNAME_SCHEMA => "'%value%' は DNS ホスト名のようですが TLD '%tld%' のホスト名スキーマと一致していません",
	Zend_Validate_Hostname::UNDECIPHERABLE_TLD => "'%value%' は DNS ホスト名のようですが TLD 部を展開できません",
	Zend_Validate_Hostname::INVALID_HOSTNAME => "'%value%' は DNS ホスト名の構造に一致していません",
	Zend_Validate_Hostname::INVALID_LOCAL_NAME => " '%value%' は有効なローカルネットワーク名ではないようです",
	Zend_Validate_Hostname::LOCAL_NAME_NOT_ALLOWED => " '%value%' はローカルネットワーク名のようですがローカルネットワーク名は許されていません",
	Zend_Validate_Hostname::CANNOT_DECODE_PUNYCODE => " '%value%' は DNS ホスト名のようですが、 punycode 変換ができませんでした",

    // Zend_Validate_Iban
	Zend_Validate_Iban::NOTSUPPORTED => "IBAN コード '%value%' に未知の国があります",
	Zend_Validate_Iban::FALSEFORMAT => " '%value%' は誤った IBAN 書式です",
	Zend_Validate_Iban::CHECKFAILED => " '%value%' は IBAN コードチェックに失敗しました",

    // Zend_Validate_Identical
	Zend_Validate_Identical::NOT_SAME => "2つのトークンは一致しませんでした",
	Zend_Validate_Identical::MISSING_TOKEN => "チェックを行うためのトークンがありませんでした",

    // Zend_Validate_InArray
	Zend_Validate_InArray::NOT_IN_ARRAY => "'%value%' が haystack の中に見つかりませんでした",

    // Zend_Validate_Int
	Zend_Validate_Int::INVALID => "不正な形式です。文字列または整数が期待されています",
	Zend_Validate_Int::NOT_INT => " '%value%' は整数ではないようです",

    // Zend_Validate_Ip
	Zend_Validate_Ip::INVALID => "不正な形式です。文字列が期待されています",
	Zend_Validate_Ip::NOT_IP_ADDRESS => " '%value%' は IP アドレスではないようです",

    // Zend_Validate_Isbn
	Zend_Validate_Isbn::INVALID => "不正な形式です。文字列または整数が期待されています",
	Zend_Validate_Isbn::NO_ISBN => " '%value%' は ISBN 番号ではありません",

    // Zend_Validate_LessThan
	Zend_Validate_LessThan::NOT_LESS => " '%value%' は '%max%' 未満ではありません",

    // Zend_Validate_NotEmpty
	Zend_Validate_NotEmpty::INVALID => "不正な形式です。文字列、整数、小数、真偽値もしくは配列が期待されています",
	Zend_Validate_NotEmpty::IS_EMPTY => "'%value%'は必須項目です。空値は許可されていません",

    // Zend_Validate_PostCode
	Zend_Validate_PostCode::INVALID => "不正な形式です。文字列もしくは整数が期待されています",
	Zend_Validate_PostCode::NO_MATCH => " '%value%' は郵便番号でないようです",

    // Zend_Validate_Regex
	Zend_Validate_Regex::INVALID => "不正な形式です。文字列、整数、もしくは小数が期待されています",
	Zend_Validate_Regex::NOT_MATCH => " '%value%' はパターン '%pattern%' と一致していません",
	Zend_Validate_Regex::ERROROUS => "正規表現パターン '%pattern%' を使用中に内部エラーが発生しました。",

    // Zend_Validate_Sitemap_Changefreq
	Zend_Validate_Sitemap_Changefreq::NOT_VALID => " '%value%' は正しいサイトマップの更新頻度ではありません",
	Zend_Validate_Sitemap_Changefreq::INVALID => "不正な形式です。文字列が期待されています",

    // Zend_Validate_Sitemap_Lastmod
	Zend_Validate_Sitemap_Lastmod::NOT_VALID => " '%value%' は正しいサイトマップの最終更新日ではありません",
	Zend_Validate_Sitemap_Lastmod::INVALID => "不正な形式です。文字列が期待されています",

    // Zend_Validate_Sitemap_Loc
	Zend_Validate_Sitemap_Loc::NOT_VALID => " '%value%' は正しいサイトマップの位置ではありません",
	Zend_Validate_Sitemap_Loc::INVALID => "不正な形式です。文字列が期待されています",

    // Zend_Validate_Sitemap_Priority
	Zend_Validate_Sitemap_Priority::NOT_VALID => " '%value%' は正しいサイトマップの優先度ではありません",
	Zend_Validate_Sitemap_Priority::INVALID => "不正な形式です。数字、整数もしくは小数が期待されています",

    // Zend_Validate_StringLength
	Zend_Validate_StringLength::INVALID => "不正な形式です。文字列が期待されています",
	Zend_Validate_StringLength::TOO_SHORT => " '%value%' は %min% 文字より短いです",
	Zend_Validate_StringLength::TOO_LONG => " '%value%' は %max% 文字より長いです",
);
